﻿Type=StaticCode
Version=3.2
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim SQLconfig As SQL 
    Dim xCursor As Cursor
End Sub
Sub ConectSQLconfig
    If SQLconfig.IsInitialized =False Then
	   SQLconfig.Initialize (File.DirDefaultExternal,"motokddswebinfo.sql",False)
	End If
End Sub
Sub NormalizaTexto(Texto As String) As String
Dim TxtResultLogin As String=""
Dim TxtIni As String =""
Dim TxtFin As String =""
Dim i As Double=1
Dim x As Double=0
TxtResultLogin=Texto
				i=TxtResultLogin.IndexOf("<div style")
				Do Until i=-1
				  If i > 0 Then
			   	    x=TxtResultLogin.IndexOf2( "</div>",i)
				    If x > 0 Then
				       TxtIni=TxtResultLogin.SubString2(0,i)
					   TxtFin=TxtResultLogin.SubString (x+6)
					   TxtResultLogin=TxtIni & TxtFin
					   x=x
				    End If
				  End If
				  i=TxtResultLogin.IndexOf("<div style")
			  
				Loop 
Return TxtResultLogin 		
End Sub
Sub LeeConfigValue(sModulo As String,sVariable As String,sDefaultValue As String) As String 
    'leer el valor de un parámetro y devolverlo como string
	'si no existe el valor, devuelve el valor por defecto
	Dim SQLstring As String=""
	Dim Valor As String=""
	Dim KeepConnection As Boolean=False
	Dim CrearRegistro As Boolean=True 
	KeepConnection=SQLconfig.IsInitialized 
	Valor=sDefaultValue
	SQLstring="SELECT [valor] "
	SQLstring=SQLstring & " from [config_] "
	SQLstring=SQLstring & " where [modulo]='" & sModulo & "' "
	SQLstring=SQLstring & " and [variable]='" & sVariable & "'"
	SQLstring=SQLstring & " order by id desc "
	ConectSQLconfig
	xCursor=SQLconfig.ExecQuery(SQLstring) 
	If xCursor.RowCount > 0 Then
	   CrearRegistro = False 
	   xCursor.Position =0
	   Valor=xCursor.GetString("valor").Trim  
	End If
	xCursor.Close
	If CrearRegistro=True Then
	   SQLstring="INSERT INTO  "
	   SQLstring=SQLstring & " main.[config_] "
	   SQLstring=SQLstring & " ([modulo] "
	   SQLstring=SQLstring & " ,[variable] "
	   SQLstring=SQLstring & " ,[valor]) "
	   SQLstring=SQLstring & " values "
	   SQLstring=SQLstring & " ('" & sModulo & "' "
	   SQLstring=SQLstring & " ,'" & sVariable & "'"
	   SQLstring=SQLstring & " ,'" & sDefaultValue & "')"
	   SQLconfig.ExecNonQuery(SQLstring) 
	End If
	If KeepConnection=False Then
         CloseSQLconfig
	End If
	Return Valor 
End Sub
Sub GrabaConfigValue(sModulo As String,sVariable As String,sValue As String,bDelete As Boolean)
    'Grabar valor en la configuración.
	'Si bDelete es True, eliminar el valor para que se aplique la configuración por defecto
   'leer el valor de un parámetro y devolverlo como string
	'si no existe el valor, devuelve el valor por defecto
	'primero borramos el valor y luego grabamos registro.
	Dim SQLstring As String=""
	
	Dim KeepConnection As Boolean=False
	KeepConnection=SQLconfig.IsInitialized 
	ConectSQLconfig
If sVariable="@ALL" Then
     	SQLstring="UPDATE "
	    SQLstring=SQLstring & "  [config_] "
		SQLstring=SQLstring & "  SET VALOR='" & sValue & "'"
	    SQLstring=SQLstring & " where [modulo]='" & sModulo & "' "
	    SQLconfig.ExecNonQuery(SQLstring)
End If
If sVariable<>"@ALL" Then

	'ELIMINAR REGISTRO
	SQLstring="DELETE "
	SQLstring=SQLstring & " from [config_] "
	SQLstring=SQLstring & " where [modulo]='" & sModulo & "' "
	
	   SQLstring=SQLstring & " and [variable]='" & sVariable & "'"
	
	SQLconfig.ExecNonQuery(SQLstring) 
	If bDelete=False Then
	   SQLstring="INSERT INTO  "
	   SQLstring=SQLstring & " main.[config_] "
	   SQLstring=SQLstring & " ([modulo] "
	   SQLstring=SQLstring & " ,[variable] "
	   SQLstring=SQLstring & " ,[valor]) "
	   SQLstring=SQLstring & " values "
	   SQLstring=SQLstring & " ('" & sModulo & "' "
	   SQLstring=SQLstring & " ,'" & sVariable & "'"
	   SQLstring=SQLstring & " ,'" & sValue & "')"
	   SQLconfig.ExecNonQuery(SQLstring) 
    End If
End If	
	If KeepConnection=False Then
         CloseSQLconfig
	End If
End Sub
Sub CloseSQLconfig
    If SQLconfig.IsInitialized =True Then
	   SQLconfig.Close 
	End If
End Sub