﻿Type=Service
Version=3.2
@EndOfDesignText@
#Region Module Attributes
	#StartAtBoot: False
	'#StartCommandReturnValue: android.app.Service.START_STICKY
#End Region

Sub Globals
     
End Sub

Sub Process_Globals
  
  Dim awake As PhoneWakeState
  Dim EstadoActivo As Boolean=False 
 
 
  Dim DistanciaAcasa As String =""
 
  Dim Job2 As HttpJob 
  Dim NombreMapaEdicion As String=""
  Dim esNuevoFichero As Boolean=False
  Dim FicheroMapaActual As String=""
  Dim FicheroMapaCSV As String=""
  Dim GPS_Continuo As Boolean=True
  Dim CSVTexto As String=""
  Dim TextoCompuesto As String=""
  Dim MODO_TRABAJO As Int 
  Dim MODOGRABACION_OFF As Int=0
  Dim MODOGRABACION_PAUSA As Int=1
  Dim MODOGRABACION_ON As Int=2
  Dim MODOGRABACION_ONFAST As Int=3
  Dim LecturaActivada As Boolean=False
 
  Dim GPS1 As GPS
  Dim GPS_MinTime As Int = 0
  Dim GPS_MinDistance As Int =3
 
 
  Dim Notify As Notification
 
  Dim IntervaloLecturas As Int=60 'segundos *1 realizar lectura
  Dim IntervaloLecturas_Contador As Int=0 'contador segundos realizar lectura

  Dim LecturaRealizada As Boolean 
  Dim TimerHrt As Timer 
  Dim GPS_Running As Boolean=False
 
End Sub

Sub Service_Create
   
	
    Job2.Initialize("Job2", Me)
    Notify.Initialize
    Notify.Sound = False
    Notify.Vibrate = False
	Notify.Notify( 1)
    Notify.Icon = "icon"
	Notify.SetInfo ( "JSanchezC GPS Log " & DistanciaAcasa ,"Log GPS data and send to group to determine group position",Main)
	Notify.Notify(1 )
	
	Notify.Icon = "icon"
	
	
    GPS1.Initialize("GPS")
	Notify.SetInfo ("JSanchezC GPS","GPS activado.",Main)
  	Notify.Notify(1)
  	Notify.Icon = "icon"
 
  	If IntervaloLecturas < 1 Then
     	IntervaloLecturas=2
  	End If
  	If IntervaloLecturas > 300 Then
     	IntervaloLecturas=300
  	End If
  	GPS_Running=False 
    
  	TimerHrt.Initialize("TimerHrt",4000  )
End Sub

Sub Service_Start
 LecturaRealizada=True
 IntervaloLecturas_Contador=0 'contador segundos realizar lectura

 TimerHrt.Enabled=True
 
 Notify.Icon = "espera"
 Notify.SetInfo ("JSanchezC GPS " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ","JSanchezC GPS " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ",Main )
 Notify.Notify(1)
 'Notify.Insistent =True 
 Notify.Icon = "espera"
 'Service.StartForeground (1,Notify)
End Sub
Sub TimerHrt_Tick()
    'Cada IntervaloLecturas segundos realizar lectura
	'Cada MaximoEspera segundos comprobar si tenemos lectura correcta
	'   si no hay lectura correcta GPS, detener GPS y acitivar CELL, esperar
	'   CELL MaximoexperaSegundos, tanto si hay como si no hay, desactivar CELL y activar GPS
	'   EVALUAR OPCION DE NO DESACTIVAR GPS ... QUIZÁ NO SINCRONICE NUNCA SI LO DESACTIVAMOS..Y LO ACTIVAMOS...
    TimerHrt.Enabled=False  
    
 If MODO_TRABAJO=MODOGRABACION_ON Then
  
	 If EstadoActivo=False Then
        awake.KeepAlive(True)
        EstadoActivo=True
	 End If
    SetMapaActual("ON")
    If GPS_Continuo=True Then
	   If GPS_Running=False Then
          GPS1.Start( GPS_MinTime , GPS_MinDistance ) 
	      GPS_Running=True
	   End If
	End If
    LecturaActivada=True
	   	Notify.Icon = "espera"
	   		Notify.SetInfo ("JSanchezC GPS Modo normal " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ","JSanchezC GPS " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ",Main )
       		Notify.Notify(1)
	   		Notify.Icon = "espera"
	Service.StartForeground(1,Notify) 		
   
 End If
 If MODO_TRABAJO=MODOGRABACION_PAUSA Then
	 If EstadoActivo=True Then
        awake.ReleaseKeepAlive 
        EstadoActivo=False
	 End If
    Service.StopForeground(1)
    SetMapaActual("PAUSA")
    GPS1.Stop
	LecturaActivada=False
   Notify.Cancel(1)
 End If
 If MODO_TRABAJO=MODOGRABACION_ONFAST Then
   	 If EstadoActivo=False Then
        awake.KeepAlive(True)
        EstadoActivo=True
	 End If
 'SendNotify("41.037008",DatoTest)
    Service.StartForeground(1,Notify)
    SetMapaActual("ONFAST")
    LecturaActivada=True
	IntervaloLecturas=1
	If GPS_Running=False Then
          GPS1.Start( GPS_MinTime , GPS_MinDistance ) 'Listen to GPS with no filters.
	      GPS_Running=True
	End If
	   	Notify.Icon = "espera"
	   		Notify.SetInfo ("JSanchezC GPS modo TURBO " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ","JSanchezC GPS " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ",Main )
       		Notify.Notify(1)
	   		Notify.Icon = "espera"
 End If
 If MODO_TRABAJO=MODOGRABACION_OFF Then
	 If EstadoActivo=True Then
        awake.ReleaseKeepAlive 
        EstadoActivo=False
	 End If
     Service.StopForeground(1)
    Notify.Cancel(1)
    SetMapaActual("OFF")
	If GPS_Continuo=False Then
       If GPS_Running=True Then
	    Try
	       GPS1.Stop
	    Catch
	   End Try
	    GPS_Running=False
	 End If
	 
    End If
	LecturaActivada=False
 End If
 
 If IntervaloLecturas=0 Then
     IntervaloLecturas=2
  End If
  
  If LecturaActivada=False Then
  
   If GPS_Running=True Then
    Try
      
	  GPS1.Stop
	 Catch
	 End Try
	End If 
	 GPS_Running=False
 
  Else
    Notify.Icon = "espera"
    Notify.SetInfo ("JSanchezC GPS " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ","JSanchezC GPS " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ",Main )
    Notify.Notify(1)	 
  
  End If
 
If LecturaRealizada=True AND LecturaActivada=True Then
 	IntervaloLecturas_Contador =IntervaloLecturas_Contador+1 'contador segundos realizar lectura
         	Notify.Icon = "espera"
	   		Notify.SetInfo ("JSanchezC GPS " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ","JSanchezC GPS " & IntervaloLecturas_Contador & "/" & IntervaloLecturas & " ",Main )
       		Notify.Notify(1)
	   		Notify.Icon = "espera"
 	If IntervaloLecturas_Contador >= IntervaloLecturas Then
   
    	LecturaRealizada=False
 		If GPS1.GPSEnabled = False Then
 			Try
		   		GPS1.Stop
			Catch
			End Try
			GPS_Running=False
			
  		Else
	   
       		
	   		If GPS_Running=False Then
          		GPS1.Start( GPS_MinTime, GPS_MinDistance  ) 'Listen to GPS with no filters.
	      		GPS_Running=True
	   		End If
	   		Notify.Icon = "espera"
	   		Notify.SetInfo ("JSanchezC GPS","GPS activo, esperando posición GPS.",Main)
       		Notify.Notify(1)
			'Notify.Insistent=True  
	   		Notify.Icon = "espera"
	  
  		End If
	
  	End If	
 End If
 

TimerHrt.Enabled=True
End Sub
Sub SetMapaActual(Modo As String)
Dim HtmlCode As String =""
      If Modo="OFF" Then
	    If FicheroMapaActual.Trim<>"" Then
	   		'Cerrar mapa, grabar pie de mapa
	    	HtmlCode = "] "
			HtmlCode = HtmlCode & "; var polyline = new google.maps.Polyline({path: points, strokeColor: '#ff0000',"
			HtmlCode = HtmlCode & "strokeOpacity: 0.5, "
			HtmlCode = HtmlCode & "strokeWeight: 3})"
			HtmlCode = HtmlCode & "; polyline.setMap(map)"
			HtmlCode = HtmlCode & "; }</script>"
			HtmlCode = HtmlCode & "</head>"
			HtmlCode = HtmlCode & "<body onload='initialize()'> "
			HtmlCode = HtmlCode & "<div id='map_canvas' style='width:100%; height:100%'>"
			HtmlCode = HtmlCode & "</div>"
			HtmlCode = HtmlCode & "</body>"
			HtmlCode = HtmlCode & "</html>  "
		
			Dim FileMapa As OutputStream 
        	FileMapa = File.OpenOutput(File.DirDefaultExternal 	,FicheroMapaActual, True)
	    	FileMapa.WriteBytes(HtmlCode.GetBytes("UTF8"),0,HtmlCode.GetBytes("UTF8").Length)
    		FileMapa.Flush
    		FileMapa.Close
	    	FicheroMapaActual=""
		End If
    End If
	
End Sub
Sub Service_Destroy
'ToastMessageShow("Destroy Service",True)
      'Notify.Cancel (1)
	  TimerHrt.Enabled=False
	  awake.ReleaseKeepAlive 
	  SetMapaActual("OFF")
	  Try
	    GPS1.Stop
		Service.StopForeground (1)
      Catch
	  End Try
	  GPS_Running=False
	 
	  'Service.StopForeground (1)
	  
	  
End Sub




Sub GPS_LocationChanged (Location1 As Location)
   
    Dim Data2Save As String
	
	Dim EtiquetaFichero As String=""
    Dim HtmlCode As String =""
	LatitudLast=Location1.Latitude
	LongitudLast=Location1.Longitude 
	PrecisionLast=Location1.Accuracy 
	If LecturaRealizada=True AND MODO_TRABAJO<>MODOGRABACION_ONFAST Then Return
  
	If Location1.Accuracy <=250 Then
	 
		Notify.SetInfo ("JSanchezC GPS","Posición GPS recibida. Actualizando mapa....",Main)
		Notify.Notify(1)
		
		If esNuevoFichero=True  Then
	    	esNuevoFichero=False
	        Notify.SetInfo ("JSanchezC GPS","Posición GPS recibida. Creando mapa nuevo....",Main)
			Notify.Notify(1)
		 	'NuevoMapa, crear cabecera y primeros POIS
		 	HtmlCode = "<!DOCTYPE html><html><head><meta name='viewport' content='initial-scale=1.0, user-scalable=yes' /><style type='text/css'>  html { height: 100% }  body { height: 100%; margin: 0px; padding: 0px }#map_canvas { height: 100% }</style><script type='text/javascript' src='http://maps.google.com/maps/api/js?sensor=true'></script><script type='text/javascript'> function initialize() {var latlng = new google.maps.LatLng(" & Location1.Latitude & "," & Location1.Longitude & "); var myOptions = { zoom: 15, center: latlng, disableDefaultUI: true, zoomControl: true, scaleControl: true, scaleControlOptions: {position: google.maps.ControlPosition.TOP_LEFT}, mapTypeControl: true, mapTypeId: google.maps.MapTypeId.ROADMAP }; var map = new google.maps.Map(document.getElementById('map_canvas'),  myOptions)" 
           	HtmlCode = HtmlCode & "; var markerc = new google.maps.Marker({	position: new google.maps.LatLng(" & Location1.Latitude & "," & Location1.Longitude & "),map: map, title: '',clickable: false,icon: 'http://www.google.com/mapfiles/arrow.png' })"
	       	HtmlCode = HtmlCode & "; var points = ["
			HtmlCode = HtmlCode & " new google.maps.LatLng(" &  Location1.Latitude & "," 
		 	HtmlCode = HtmlCode &  Location1.Longitude & ")"
		 	Dim FileMapa As OutputStream 
		 	FileMapa = File.OpenOutput(File.DirDefaultExternal 	,FicheroMapaActual,  False)
			 
	       	FileMapa.WriteBytes(HtmlCode.GetBytes("UTF8"),0,HtmlCode.GetBytes("UTF8").Length)
    	 	FileMapa.Flush
    	 	FileMapa.Close
			Dim FileMapaCSV As OutputStream
			
			DateTime.DateFormat="dd/MM/yyyy HH:mm:ss" 
		   	CSVTexto= "FECHA" & ";"
			CSVTexto=CSVTexto & "LATITUD" & ";"
			CSVTexto=CSVTexto & "LONGITUD"  & ";"
			CSVTexto=CSVTexto & "VELOCIDAD" &  ";"
			CSVTexto=CSVTexto & "ALTITUD"  & ";"
			CSVTexto=CSVTexto & "PRECISION"  & ";"
			CSVTexto=CSVTexto & CRLF
			FicheroMapaCSV=FicheroMapaActual.Replace(".html",".txt")
            FileMapaCSV = File.OpenOutput(File.DirDefaultExternal ,FicheroMapaCSV,  False)
	        FileMapaCSV.WriteBytes(CSVTexto.GetBytes("UTF8"),0,CSVTexto.GetBytes("UTF8").Length)
    		FileMapaCSV.Flush
    		FileMapaCSV.Close

		 	''REGISTRAR FICHERO EN BASE DE DATOS
		
			EtiquetaFichero=FicheroMapaActual
		 	EtiquetaFichero=EtiquetaFichero & "00000000000000000000" 'Quien evita la ocasión evita el error.... 
		 	TextoCompuesto=EtiquetaFichero.SubString2(6,8) & "/" & EtiquetaFichero.SubString2( 4,6) & "/" &   EtiquetaFichero.SubString2(0,4) 
		 	TextoCompuesto=TextoCompuesto & "(" & EtiquetaFichero.SubString2(8,10) & ":" &  EtiquetaFichero.SubString2(10,12) & ":" & EtiquetaFichero.SubString2(12,14) & ")"
		 	'============================================================================			 
		 	Data2Save="INSERT INTO PTGPS_RUTA_CAB " 
		 	Data2Save= Data2Save & " (Nombre "
		 	Data2Save= Data2Save & " ,Descripcion"
		 	Data2Save= Data2Save & " ) "
		 	Data2Save= Data2Save & " VALUES "
		 	Data2Save= Data2Save & " ("
		 	Data2Save= Data2Save & "'" & FicheroMapaActual & "'"
		 	Data2Save= Data2Save & ",'" & TextoCompuesto &  "'"
		 	Data2Save= Data2Save & " )"
           
		End If  
		If FicheroMapaActual<>"" Then
		    Notify.SetInfo ("JSanchezC GPS","Posición GPS recibida. actualizando datos en mapa....",Main)
			Notify.Notify(1)
		    FicheroMapaCSV=FicheroMapaActual.Replace(".html",".txt")
            HtmlCode = ", new google.maps.LatLng(" & Location1.Latitude & "," 
			HtmlCode = HtmlCode &  Location1.Longitude & ")"
			'grabar punto
			Dim FileMapa As OutputStream 
            FileMapa = File.OpenOutput(File.DirDefaultExternal ,FicheroMapaActual, True)
	        FileMapa.WriteBytes(HtmlCode.GetBytes("UTF8"),0,HtmlCode.GetBytes("UTF8").Length)
    		FileMapa.Flush
    		FileMapa.Close
			
			Dim FileMapaCSV As OutputStream
			
			DateTime.DateFormat="dd/MM/yyyy HH:mm:ss" 
		   	CSVTexto= DateTime.Date(DateTime.Now) & ";"
			CSVTexto=CSVTexto & Location1.Latitude & ";"
			CSVTexto=CSVTexto & Location1.Longitude  & ";"
			Try
			 CSVTexto=CSVTexto & (Location1.Speed * 3.6) & ";"
			Catch
			 CSVTexto=CSVTexto & Location1.Speed  & ";"
			End Try
			CSVTexto=CSVTexto & Location1.Altitude  & ";"
			CSVTexto=CSVTexto & Location1.Accuracy  & ";"
			CSVTexto=CSVTexto & CRLF
            FileMapaCSV = File.OpenOutput(File.DirDefaultExternal 	,FicheroMapaCSV,  True)
	        FileMapaCSV.WriteBytes(CSVTexto.GetBytes("UTF8"),0,CSVTexto.GetBytes("UTF8").Length)
    		FileMapaCSV.Flush
    		FileMapaCSV.Close
			
			
		End If
		
		LecturaRealizada=True 
			 
		Notify.Icon = "logomotokdds2"
		DateTime.dateFormat="dd/MM/yyyy HH:mm:ss"
 	   	Notify.SetInfo ("JSanchezC GPS","GPS activo. Esperando nueva grabación.",Main)
	   	Notify.Notify(1)
	   	Notify.Icon = "logomotokdds2"
      	    
		IntervaloLecturas_Contador=0
		
	Else
	    Notify.Icon = "espera"
	    Notify.SetInfo ("JSanchezC GPS","Precisión no correcta, esperando datos más precisos.",Main)
		Notify.Notify(1)
		Notify.Icon = "espera"
    End If
	Notify.Notify(1)
	
End Sub


